Adobe Animate < 21.0.4 複数の脆弱性(APSB21-21)

high Nessus プラグイン ID 147748
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのWindowsホストにインストールされているAdobe Animateは複数の脆弱性の影響を受けます。

説明

リモートの Windows ホストにインストールされている Adobe Animateのバージョンは 21.0.4 より前です。そのため、以下の複数の脆弱性の影響を受けます。
-Adobe Animateに複数の領域外読み取りの脆弱性が存在します。攻撃者がこれらを悪用し、機密情報を他のメモリ領域から読み取ったり、クラッシュを引き起こしたりする可能性があります。(CVE-2021-21072、CVE-2021-21073、CVE-2021-21074、CVE-2021-21075、CVE-2021-2107)。

- Adobe Animateに複数のバッファオーバーフローの脆弱性が存在します。攻撃者がこれらを悪用し、サービス拒否状態や任意のコードの実行を引き起こす可能性があります。(CVE-2021-21071、CVE-2021-21077)

Nessusはこれらの問題を悪用したことはありませんが、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

Adobe Animateバージョン21.0.4以降にアップグレードしてください。

関連情報

https://helpx.adobe.com/security/products/animate/apsb21-21.html

プラグインの詳細

深刻度: High

ID: 147748

ファイル名: adobe_animate_apsb21-21.nasl

バージョン: 1.5

タイプ: local

エージェント: windows

ファミリー: Windows

公開日: 2021/3/12

更新日: 2021/6/3

依存関係: adobe_animate_installed.nbin

リスク情報

CVSS スコアのソース: CVE-2021-21077

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 7.8

Temporal Score: 6.8

ベクトル: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/a:adobe:animate

必要な KB アイテム: installed_sw/Adobe Animate, SMB/Registry/Enumerated

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2021/3/9

脆弱性公開日: 2021/3/9

参照情報

CVE: CVE-2021-21071, CVE-2021-21072, CVE-2021-21073, CVE-2021-21074, CVE-2021-21075, CVE-2021-21076, CVE-2021-21077

IAVA: 2021-A-0122-S